summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas F Herbert <therbert@redhat.com>2016-02-11 19:28:34 -0500
committerBilly O'Mahony <billy.o.mahony@intel.com>2016-02-12 11:11:36 +0000
commit9e14e09a0f1c986d88b239cc683f24bb850807de (patch)
tree2cc9093e112a247734dc7824f07179af139d0fb8
parentde6318b49dc91a95154c30d6721a863d8ab7a1b7 (diff)
Fix for problem found in daily build where virsh reboot failed.
The fix is to run virsh reboot as user stack Change-Id: Id762b6d9ec592835805eb69d5244fa1dc2eb8645 Signed-off-by: Thomas F Herbert <therbert@redhat.com>
-rwxr-xr-xbuild/instack_ovs.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/build/instack_ovs.sh b/build/instack_ovs.sh
index c4378d9..5af6ccf 100755
--- a/build/instack_ovs.sh
+++ b/build/instack_ovs.sh
@@ -234,13 +234,16 @@ done
# yum update undercloud and reboot.
ssh -T ${SSH_OPTIONS[@]} "root@$UNDERCLOUD" <<EOI
-set -e
+ set -e
-echo yum -y update
-yum -y update
+ echo yum -y update
+ yum -y update
EOI
-virsh reboot instack
+# reboot VM
+ssh -T ${SSH_OPTIONS[@]} stack@localhost <<EOI
+ virsh reboot instack
+EOI
sleep 30
# yum repo, triple-o package and ssh key setup for the undercloud
@@ -312,7 +315,9 @@ scp ${SSH_OPTIONS[@]} stack@$UNDERCLOUD:instackenv.json stack/instackenv.json
#
echo If using special kernel version, reboot undercloud vm
if [ -z $kernel_version ]; then
- virsh reboot instack
+ ssh -T ${SSH_OPTIONS[@]} stack@localhost <<EOI
+ virsh reboot instack
+EOI
sleep 15
fi